<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.database.SzPageInfo" %>
<%@ page import="net.sz600.system.SzProperties" %>
<%@ page import="net.sz600.system.SzLevelNumber" %>
<%@ page import="net.sz600.system.SzPageHelp" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.online.*" %>
<%@ include file="/sessionInfo.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
	BdFormControl bdFormControl = new BdFormControl();
    String sType = "0";
    Iterator iterModule = bdFormControl.getModuleList().iterator();
    //HashMap formMap = bdFormControl.getFormMap();
%>
<form name="formUpdate" method="post">
<%@ include file="/online/sms/title.jsp"%>
<table width="100%">
  <tr>
    <td>
    <% 
    if (isBarManager_SESSION) {
    	out.println(SzPageHelp.button("保存","javascript:FormSave(formUpdate);"));
    }
    %>
     
    </td>
  </tr>
</table>
<table width="650" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="3" cellspacing="0">
  <tr class="trClassTitle">
    <td>所属模块</td>
    <td>所属表单</td>
    <td>是否需要手机短信提醒</td>
  </tr>
<%
	String moduleName = "";
	String formName = "";
    BdForm dbForm = new BdForm();
    
    Iterator iterForm = null;
    BdFormInfo formInfo = null;
	while (iterModule != null && iterModule.hasNext()) {
		moduleName = (String)iterModule.next();
		//取表单
		iterForm = dbForm.getFormInfoList(moduleName).iterator();
		while (iterForm != null && iterForm.hasNext()) {
			formInfo = (BdFormInfo)iterForm.next();
			if (formInfo.getHasFlow().equals("0") || formInfo.getHasFlow().equals("")) {
				continue;
			}
			formName = formInfo.getFormDesc();
%>
  <tr>
    <td><%=moduleName %></td>
    <td><%=formName %></td>
    <td><%=SzPageHelp.checkbox(formInfo.getFormId(), formInfo.getHasFlowSms()) %>
    </td>  
  </tr>
<%		
		}
	}
%>  
</table>

</form>
<script language="javascript">

  function FormSave(formName) {
    //检查是否可以保存
    formName.action = "control.jsp?OPERATOR=SMSSET";
    formName.submit();
  }
</script>
